Skip to main content

Documentation Index

Fetch the complete documentation index at: https://gusto-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

How to get a General Ledger report
  1. Request a report with POST /v1/payrolls/:uuid/reports/general_ledger.
  2. The response will contain a request_uuid, as in this example:
    {
      "payroll_uuid": "a83d0bd8-7d20-43b9-834c-6d514ef6cb20",
      "aggregation": "default",
      "request_uuid": "p83d0ca8-7d41-42a9-834y-7d218ef6cb20"
    }
    
  3. Use GET /v1/reports/:request_uuid to check the status of the report and to download the report using the provided URL when the report is ready.

Report format

The JSON format will look like the following, which has been truncated for this example:
{
  "company_name": "Dibbert - Schoen",
  "ledger_description": "Ledger for Regular Payroll Feb 8 – Feb 21",
  "check_date": "2025-02-28",
  "data": [
    {
      "headers": [
        "Account Type",
        "Account Description",
        "Job",
        "Debit",
        "Credit"
      ],
      "rows": [
        [
          "EmployerTax",
          "Social Security - employer tax ",
          "Client Support Manager",
          "109.12",
          null
        ],
        [
          "EmployerTax",
          "Medicare - employer tax ",
          "Client Support Manager",
          "25.52",
          null
        ],
        [
          "RegularWages",
          "Regular Wages ",
          "Client Support Manager",
          "1760.0",
          null
        ],
        [
          "DebitNetPay",
          "Debit net pay",
          "",
          null,
          "1500.00"
        ],
        [
          "DebitTax",
          "Debit tax",
          "",
          null,
          "394.64"
        ]
      ],
      "totals": [
        null,
        "Totals",
        "",
        "1894.64",
        "1894.64"
      ],
      "data_type": "Basic"
    },
    {
      "headers": [
        "Account Type",
        "Account Description",
        "Debit",
        "Credit"
      ],
      "rows": [
        [
          "RegularWages",
          "Regular Wages for Isaiah Berlin",
          "880.0",
          null
        ],
        [
          "EmployerTax",
          "Social Security - employer tax",
          "54.56",
          null
        ],
        [
          "EmployerTax",
          "Medicare - employer tax",
          "12.76",
          null
        ],
        [
          "DebitNetPay",
          "Debit net pay",
          null,
          "750.00"
        ],
        [
          "DebitTax",
          "Debit tax",
          null,
          "197.32"
        ]
      ],
      "totals": [
        null,
        "Totals",
        "947.32",
        "947.32"
      ],
      "data_type": "Detailed"
    }
  ]
}

Generate Custom Reports ACH Transactions